package com.caliverse.admin.dynamodb.domain.doc;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class BattleEventDoc extends DynamoDBDocBase {
    private String battleEventAttrib;

    public String getAttribFieldName() {
        return "BattleEventAttrib";
    }

    @DynamoDbAttribute("BattleEventAttrib")
    @JsonProperty("BattleEventAttrib")
    public String getAttribValue() {
        return battleEventAttrib;
    }

    public void setAttribValue(String value) {
        this.battleEventAttrib = value;
    }
}

